local CoreSoulMainCell = class("CoreSoulMainCell", BaseCell)

function CoreSoulMainCell:init()
	local uiMap = self:getUIMap()
	self.normalCell = uiMap["core_soul_cell.cell_1"]:addLuaComponent("app/ui/shop/cell/core_soul_cell")
	self.eliteCell = uiMap["core_soul_cell.cell_2"]:addLuaComponent("app/ui/shop/cell/core_soul_cell") 
	-- self:updateTime()
	-- self.sid = uiMap["core_soul_cell.cell_1"]:scheduleGlobal(function ()
	-- 	self:updateTime()
	-- end, 1)
end

function CoreSoulMainCell:updateTime()
	-- 无需处理
end

function CoreSoulMainCell:refresh()
	self.normalCell:refresh(GConst.ShopConst.CORE_SOUL_TYPE.NORMAL)
	self.eliteCell:refresh(GConst.ShopConst.CORE_SOUL_TYPE.ELITE)
end

return CoreSoulMainCell